> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supertoneapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit custom voice

> カスタム（クローン）ボイスの名前または説明を更新します。

<Note>
  このドキュメントは英語の原文から自動翻訳されています。表現に不自然な箇所がある場合があります。正確な内容は[英語の原文](/en/api-reference/endpoints/edit-custom-voice)もあわせてご確認ください。
</Note>

既存のカスタムボイスのメタデータを更新します。基盤となるボイスモデルは再学習 **されません**。変更可能なのは `name` と `description` のみです。

## エンドポイント

```http theme={"dark"}
PATCH https://supertoneapi.com/v1/custom-voices/{voice_id}
```

## パスパラメータ

| Name       | Required | Description          |
| ---------- | :------: | -------------------- |
| `voice_id` |     ✅    | 編集対象のカスタムボイスの ID です。 |

## リクエストボディ

| Field         | Required | Description          |
| ------------- | :------: | -------------------- |
| `name`        |     —    | 新しいボイス名です。最大 100 文字。 |
| `description` |     —    | 新しい説明です。             |

少なくとも 1 つのフィールドを指定する必要があります。

## 注意事項

* `voice_id` は変更されません。既存の参照は引き続き有効です。
* ボイスが別アカウントに属している場合は `403 Forbidden` を返します。

## 関連項目

<CardGroup cols={2}>
  <Card title="Docs: Custom voices" icon="microphone" href="/ja/docs/core-concepts/custom-voices">
    カスタムボイスのライフサイクル全体。
  </Card>

  <Card title="Delete custom voice" icon="trash" href="/ja/api-reference/endpoints/delete-custom-voice">
    カスタムボイスを完全に削除します。
  </Card>
</CardGroup>


## OpenAPI

````yaml /openapi.json patch /v1/custom-voices/{voice_id}
openapi: 3.0.0
info:
  title: Supertone Public API
  description: >-
    Supertone API is a RESTful API for using our state-of-the-art AI voice
    models.
  version: 0.9.6
  contact: {}
servers:
  - url: https://supertoneapi.com
    description: Production
security: []
tags:
  - name: voices
    description: Voice Library API endpoints
  - name: custom_voices
    description: Custom Voice Management API endpoints
  - name: text_to_speech
    description: Text-to-Speech API endpoints
  - name: usage
    description: Usage Analytics API endpoints
paths:
  /v1/custom-voices/{voice_id}:
    patch:
      tags:
        - custom_voices
      summary: Update cloned voice (partial update)
      description: Partially updates properties of a custom (cloned) voice by ID.
      operationId: edit_custom_voice
      parameters:
        - name: voice_id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCustomVoiceRequest'
      responses:
        '200':
          description: Voice updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateCustomVoiceResponse'
        '401':
          description: 'Unauthorized: Invalid API key'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorResponse'
        '404':
          description: 'Not Found: Voice does not exist'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorResponse'
        '500':
          description: 'Internal Server Error: Failed to update cloned voice'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - api-key: []
components:
  schemas:
    UpdateCustomVoiceRequest:
      type: object
      properties:
        name:
          type: string
          description: Name of the voice
          example: My Updated Voice
        description:
          type: string
          description: Description of the voice
          example: An updated warm and friendly voice for customer service
    UpdateCustomVoiceResponse:
      type: object
      properties:
        voice_id:
          type: string
          description: Unique identifier for the voice
          example: voice_123456789
        name:
          type: string
          description: Name of the voice
          example: My Updated Voice
        description:
          type: string
          description: Description of the voice
          example: An updated warm and friendly voice for customer service
          nullable: true
      required:
        - voice_id
        - name
    UnauthorizedErrorResponse:
      type: object
      properties:
        status:
          type: string
          description: Response status
          example: error
        message:
          description: Unauthorized error details
          example:
            message: Invalid API Key
            error: Unauthorized
            statusCode: 401
          allOf:
            - $ref: '#/components/schemas/ErrorMessageData'
      required:
        - status
        - message
    NotFoundErrorResponse:
      type: object
      properties:
        status:
          type: string
          description: Response status
          example: error
        message:
          description: Not found error details
          example:
            message: Voice not found
            error: Not Found
            statusCode: 404
          allOf:
            - $ref: '#/components/schemas/ErrorMessageData'
      required:
        - status
        - message
    InternalServerErrorResponse:
      type: object
      properties:
        status:
          type: string
          description: Response status
          example: error
        message:
          description: Internal server error details
          example:
            message: Failed to convert text to speech
            error: Internal Server Error
            statusCode: 500
          allOf:
            - $ref: '#/components/schemas/ErrorMessageData'
      required:
        - status
        - message
    ErrorMessageData:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: Invalid API Key
        error:
          type: string
          description: Error type
          example: Unauthorized
        status_code:
          type: number
          description: HTTP status code
          example: 401
      required:
        - message
        - error
        - status_code
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: x-sup-api-key

````